Re: [RadiusNT] Problem with .209

Dale E. Reed Jr. ( (no email) )
Mon, 24 Jan 2000 09:44:32 -0800

Nezar Ahmed wrote:
> There is a problem with version .209 and ascend. It seems that this
> version doesn't accept passwords like 'Ascend-DNIS' and 'Ascend-CLID'
> which max defines for the user names it uses to configure itself. It
> says 'Invalid Password Length - Malformed Packet'. It does that for some
> normal users too. I switched back to .175 and everything works fine. I
> wonder if this problem exists in RadiusNT v3 as I was thinking of
> upgrading. Any suggestions ?

Set your allow malformed from 1 to 3 in the registry, and it will
allow the malformed password lengths. You might want to whine to
ascend about getting their client RFC compliant, too. The RFC
clearly says password data must be a multiple of 16 (padded if not).
You wouldn't believe how few clients actually follow that!


Dale E. Reed Jr. Emerald and RadiusNT__________________________________________IEA Software, Inc.

For more information about this list (including removal) go to: